Bug 20854 - слепливает IP
: слепливает IP
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/openresolv)
: unstable
: all Linux
: P3 blocker
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2009-07-23 16:25 by
Modified: 2009-07-25 13:06 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2009-07-23 16:25:41
Сегодня стало наблюдаться (это для eth0 only):

# Generated by resolvconf
# Do not edit manually, use
# /etc/net/ifaces/<interface>/resolv.conf instead.
search t-soft
nameserver 192.168.9.211192.168.9.216

В ещё одном случае (ноутбук, который бывает по разным местам) -- там же
присутствовал ещё один домен (устаревший для текущего location) и две строчки
nameserver по два аналогичным образом слепленных IP.  К сожалению, от обалдения
перетёр отложенный было в сторону файлик и не помню даже, одна из строк была
идентична вышеуказанной или смешались IP DNS-серверов разных мест в каждой из
двух строк (их и там, и там по два).

openresolv-3.3.2-alt4
dhcpcd-4.0.13-alt2
------- Comment #1 From 2009-07-23 16:36:23 -------
Подтверждаю, словил такое сразу на двух интерфейсах. При этом в
/etc/net/ifaces/*/resolv.conf всё написано правильно: по одной строчке
nameserver на адрес.
------- Comment #2 From 2009-07-23 17:05:31 -------
Багу ловить в /sbin/resolvconf, строка 137 сейчас выглядит так:
libc_ns="$libc_ns${line#* }"
, а должна так:
libc_ns="$libc_ns${line#* } "
(предполагаю, глядя на строку 136). С этим исправлением resolv.conf генерится
правильно.
------- Comment #3 From 2009-07-23 17:06:04 -------
openresolv-3.3.2-alt5 -> sisyphus:

* Thu Jul 23 2009 Mikhail Efremov <sem@altlinux> 3.3.2-alt5

- fixed adding nameservers to LIBC_NAMESERVERS variable (closes: #20854)
------- Comment #4 From 2009-07-23 17:11:16 -------
Прикольный рейс получился :) спасибо.
------- Comment #5 From 2009-07-23 17:14:50 -------
(В ответ на комментарий №2)
> , а должна так:
> libc_ns="$libc_ns${line#* } "

Да, пробел потерял.

(В ответ на комментарий №4)
> Прикольный рейс получился :)

Угу :)